Bug 311119 - Slow atmosphere painting
Summary: Slow atmosphere painting
Status: RESOLVED FIXED
Alias: None
Product: marble
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: marble-bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-03 22:18 UTC by Dennis Nienhüser
Modified: 2012-12-10 19:52 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Nienhüser 2012-12-03 22:18:20 UTC
In adverse zoom levels painting the atmosphere layer takes 10-20% of the total rendering runtime, possibly because of the radial gradient painting.
Comment 1 Dennis Nienhüser 2012-12-06 20:33:41 UTC
Git commit cb2e071ac687afae7d229500d38cd03b1ded5281 by Dennis Nienhüser, on behalf of Illya Kovalevskyy.
Committed on 06/12/2012 at 21:32.
Pushed by nienhueser into branch 'kitchen'.

Cache the atmosphere (increases performance).
REVIEW: 107581

M  +38   -23   src/plugins/render/atmosphere/AtmospherePlugin.cpp
M  +6    -0    src/plugins/render/atmosphere/AtmospherePlugin.h

http://commits.kde.org/marble/cb2e071ac687afae7d229500d38cd03b1ded5281
Comment 2 Bernhard Beschow 2012-12-10 19:52:02 UTC
Git commit 845dcfa81c0b0e6fe2ba81ae87f5b29d9154a915 by Bernhard Beschow, on behalf of Illya Kovalevskyy.
Committed on 06/12/2012 at 21:32.
Pushed by beschow into branch 'master'.

Cache the atmosphere (increases performance).

Backported from commit cb2e071ac687afae7d229500d38cd03b1ded5281.
REVIEW: 107581

M  +37   -25   src/plugins/render/atmosphere/AtmospherePlugin.cpp
M  +5    -0    src/plugins/render/atmosphere/AtmospherePlugin.h

http://commits.kde.org/marble/845dcfa81c0b0e6fe2ba81ae87f5b29d9154a915